datacache <- new.env(hash=TRUE, parent=emptyenv())

org.Ss.eg <- function() showQCData("org.Ss.eg", datacache)
org.Ss.eg_dbconn <- function() dbconn(datacache)
org.Ss.eg_dbfile <- function() dbfile(datacache)
org.Ss.eg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
org.Ss.eg_dbInfo <- function() dbInfo(datacache)

org.Ss.egORGANISM <- "Sus scrofa"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "org.Ss.eg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.PIG_DB("org.Ss.eg", "Pig", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(org.Ss.eg_dbconn())
}

